%global octpkg parallel

Name:           octave-%{octpkg}
Version:        3.1.1
Release:        1%{?dist}
Summary:        Parallel execution package for cluster computers for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/parallel/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel
BuildRequires:  gnutls-devel
BuildRequires:  tex(latex)
BuildRequires:  ghostscript
BuildRequires:  octave-struct

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


%description
Parallel execution package for cluster computers.

%prep
%setup -q -n %{octpkg}-%{version}

%build
export CXXFLAGS="%{optflags}"
%octave_pkg_build

%install
%octave_pkg_install
chmod a-x %{buildroot}/%{octpkgdir}/*.m
rm -rf  %{buildroot}/%{octpkgdir}/doc

%check
%octave_pkg_check
rm -rf  %{buildroot}/%{octpkgdir}/doc

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/private/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkglibdir}

%doc doc/README

%changelog
* Mon Oct 03 2016 Thomas Sailer <t.sailer@alumni.ethz.ch> - 3.1.1-1
- Update to 3.1.1

* Thu Feb 25 2016 Thomas Sailer <t.sailer@alumni.ethz.ch> - 3.0.4-1
- Update to 3.0.4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 1 2015 Orion Poplawski <orion@cora.nwra.com> - 3.0.3-1
- Update to 3.0.3

* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.1-2
- Rebuild for octave 4.0.0

* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.1-1
- Update to 2.2.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.2.0-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.2.0-1
- update to 2.2.0

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-3
- remove GFDL license as no files are licensed that way

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-2
- update according to reviewer comments

* Thu Jan 09 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> 2.1.1-1
- initial package for Fedora
